Bug 50654 - python-ecdsa: Multiple issues (4.3)
python-ecdsa: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-5-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-18 07:57 CET by Quality Assurance
Modified: 2019-12-18 13:48 CET (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 7.4 (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2019-12-18 07:57:16 CET
New Debian python-ecdsa 0.13-2+deb9u1 fixes:
This update addresses the following issues:
* Unexpected and undocumented exceptions during signature decoding  (CVE-2019-14853)
* DER encoding is not being verified in signatures (CVE-2019-14859)
Comment 1 Quality Assurance univentionstaff 2019-12-18 10:00:15 CET
--- mirror/ftp/4.3/unmaintained/4.3-0/source/python-ecdsa_0.13-2.dsc
+++ apt/ucs_4.3-0-errata4.3-5/source/python-ecdsa_0.13-2+deb9u1.dsc
@@ -1,3 +1,9 @@
+0.13-2+deb9u1 [Sat, 07 Dec 2019 09:44:47 -0600] Josue Ortega <josue@debian.org>:
+  * Add patch for strict error checking in DER decoding integers.
+    Fix:
+     - CVE-2019-14853
+     - CVE-2019-14859
+
 0.13-2 [Sat, 25 Apr 2015 12:19:22 +0200] Sebastian Ramacher <sramacher@debian.org>:
 
   * Upload to unstable.

<http://10.200.17.11/4.3-5/#7503642593351263899>
Comment 2 Philipp Hahn univentionstaff 2019-12-18 11:00:23 CET
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.3-5] ab0694749c Bug #50654: python-ecdsa 0.13-2+deb9u1
 doc/errata/staging/python-ecdsa.yaml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
Comment 3 Erik Damrose univentionstaff 2019-12-18 13:48:06 CET
<http://errata.software-univention.de/ucs/4.3/624.html>